Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/CMakeLists.txt	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/CMakeLists.txt	(revision 1716)
@@ -17,4 +17,4 @@
 	POST_BUILD 
 	COMMAND rm -f report.txt
-	COMMAND cat */report.txt  > report.txt
-	COMMAND cat */*/report.txt >> report.txt)
+	COMMAND cat */*/report.txt > report.txt
+	COMMAND cat */report.txt >> report.txt)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/config.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/config.py	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/config.py	(revision 1716)
@@ -39,18 +39,10 @@
 	fileout = open("iodef.xml.tmp", "w")
 	for line in filein:
-		if 'xios::nbplSrv2' in line:
-			line = line.replace("xios::nbplSrv2", repr(NumberPoolsServer2))
-			fileout.write(line)
-		elif 'xios::usingSrv2' in line:
-			line = line.replace("xios::usingSrv2", UsingServer2)
-			fileout.write(line)
-		elif 'xios::ratioSrv2' in line:
-			line=line.replace("xios::ratioSrv2", repr(RatioServer2))
-			fileout.write(line)
-		elif 'atm::domain' in line:
-			line=line.replace("atm::domain", ATMdomain)
-			fileout.write(line)
-		else:
-			fileout.write(line)
+		if 'xios::nbplSrv2' in line:	line = line.replace("xios::nbplSrv2", repr(NumberPoolsServer2))
+		if 'xios::usingSrv2' in line:	line = line.replace("xios::usingSrv2", UsingServer2)
+		if 'xios::ratioSrv2' in line:	line=line.replace("xios::ratioSrv2", repr(RatioServer2))
+		if 'atm::domain' in line:	line=line.replace("atm::domain", ATMdomain)
+		fileout.write(line)
+		
 
 	filein.close()
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job.sh	(revision 1716)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job.sh	(revision 1716)
@@ -0,0 +1,52 @@
+# Arbitrary name of the LoadLeveler job
+# @ job_name = Generic_testcase
+# Standard job output file
+# @ output   = $(job_name).out
+# Error job output file
+# @ error    = $(job_name).err
+# Type of job
+# @ job_type = mpich
+# Number of MPI processes requested
+# @ total_tasks = 16
+# Number of OpenMP/pthreads tasks per MPI process
+# @ nb_threads  = 1
+# @ resources = ConsumableCpus($(nb_threads))
+# Permits passing total_tasks to mpirun via NB_TASKS
+# as well as the number of threads/processes
+# @ environment = OMP_NUM_THREADS=$(nb_threads); NB_TASKS=$(total_tasks)
+# Job time hh:mm:ss (1h30mn here)
+# @ wall_clock_limit = 0:30:00
+# @ queue
+
+# Recommendation : Compile and execute your codes under the same Intel environment.  
+# If necessary, therefore, use the module command to load the appropriate environment.
+# For example, if your code is compiled with Intel/2016.2, uncomment the following line:
+#module load intel/2016.2
+
+# To have the command echoes
+set -x
+
+module load intel/2018.2
+module load gcc/6.4.0
+module load cdo
+module load cmake
+
+# The LOADL_STEP_INITDIR vaiable is automatically set by
+# LoadLeveler at the directory where the llsubmit is typed
+#cp $LOADL_STEP_INITDIR/a.out .
+# The max. STACK memory used (default 4MB) (here 16 MB) per
+# the private variables of each thread.
+export KMP_STACKSIZE=16m
+# It is also possible to use OMP_STACKSIZE
+# export OMP_STACKSIZE=16M
+
+# Execution of a parallel hybrid program (MPI + threads).
+# mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+
+cmake .
+
+make test
+
+make report
+
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job.sh	(revision 1716)
@@ -29,4 +29,6 @@
 module load intel/2018.2
 module load gcc/6.4.0
+module load cdo
+module load cmake
 
 # The LOADL_STEP_INITDIR vaiable is automatically set by
@@ -40,6 +42,7 @@
 
 # Execution of a parallel hybrid program (MPI + threads).
-mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+cmake .
+make test
 
 
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1716)
@@ -14,5 +14,8 @@
 touch report.txt
 > report.txt
+echo " " >> report.txt
+echo " " >> report.txt
 echo "testing axis algorithms..." >> report.txt
+echo " " >> report.txt
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job.sh	(revision 1716)
@@ -29,4 +29,6 @@
 module load intel/2018.2
 module load gcc/6.4.0
+module load cdo
+module load cmake
 
 # The LOADL_STEP_INITDIR vaiable is automatically set by
@@ -40,6 +42,7 @@
 
 # Execution of a parallel hybrid program (MPI + threads).
-mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+cmake .
+make test
 
 
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1716)
@@ -14,5 +14,8 @@
 touch report.txt
 > report.txt
+echo " " >> report.txt
+echo " " >> report.txt
 echo "testing domain algorithms..." >> report.txt 
+echo " " >> report.txt
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/CMakeLists.txt	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/CMakeLists.txt	(revision 1716)
@@ -11,3 +11,7 @@
 add_subdirectory(test_sum)
 
-#add_test( functions ./run_sub_test.sh)
+add_custom_target("subreport")
+add_custom_command(TARGET "subreport" 
+	POST_BUILD 
+	COMMAND rm -f subreport.txt
+	COMMAND cat */report.txt > subreport.txt)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job.sh	(revision 1716)
@@ -29,4 +29,6 @@
 module load intel/2018.2
 module load gcc/6.4.0
+module load cdo
+module load cmake
 
 # The LOADL_STEP_INITDIR vaiable is automatically set by
@@ -40,6 +42,10 @@
 
 # Execution of a parallel hybrid program (MPI + threads).
-mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+cmake .
+
+make test
+
+make subreport
 
 
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/job.sh	(revision 1716)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/job.sh	(revision 1716)
@@ -0,0 +1,48 @@
+# Arbitrary name of the LoadLeveler job
+# @ job_name = Generic_testcase
+# Standard job output file
+# @ output   = $(job_name).out
+# Error job output file
+# @ error    = $(job_name).err
+# Type of job
+# @ job_type = mpich
+# Number of MPI processes requested
+# @ total_tasks = 16
+# Number of OpenMP/pthreads tasks per MPI process
+# @ nb_threads  = 1
+# @ resources = ConsumableCpus($(nb_threads))
+# Permits passing total_tasks to mpirun via NB_TASKS
+# as well as the number of threads/processes
+# @ environment = OMP_NUM_THREADS=$(nb_threads); NB_TASKS=$(total_tasks)
+# Job time hh:mm:ss (1h30mn here)
+# @ wall_clock_limit = 0:30:00
+# @ queue
+
+# Recommendation : Compile and execute your codes under the same Intel environment.  
+# If necessary, therefore, use the module command to load the appropriate environment.
+# For example, if your code is compiled with Intel/2016.2, uncomment the following line:
+#module load intel/2016.2
+
+# To have the command echoes
+set -x
+
+module load intel/2018.2
+module load gcc/6.4.0
+module load cdo
+module load cmake
+
+# The LOADL_STEP_INITDIR vaiable is automatically set by
+# LoadLeveler at the directory where the llsubmit is typed
+#cp $LOADL_STEP_INITDIR/a.out .
+# The max. STACK memory used (default 4MB) (here 16 MB) per
+# the private variables of each thread.
+export KMP_STACKSIZE=16m
+# It is also possible to use OMP_STACKSIZE
+# export OMP_STACKSIZE=16M
+
+# Execution of a parallel hybrid program (MPI + threads).
+# mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+
+cmake .
+make test
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1716)
@@ -18,5 +18,8 @@
 touch report.txt
 > report.txt
+echo " " >> report.txt
+echo " " >> report.txt
 echo "testing average reduce..." >> report.txt 
+echo " " >> report.txt
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/job.sh	(revision 1716)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/job.sh	(revision 1716)
@@ -0,0 +1,48 @@
+# Arbitrary name of the LoadLeveler job
+# @ job_name = Generic_testcase
+# Standard job output file
+# @ output   = $(job_name).out
+# Error job output file
+# @ error    = $(job_name).err
+# Type of job
+# @ job_type = mpich
+# Number of MPI processes requested
+# @ total_tasks = 16
+# Number of OpenMP/pthreads tasks per MPI process
+# @ nb_threads  = 1
+# @ resources = ConsumableCpus($(nb_threads))
+# Permits passing total_tasks to mpirun via NB_TASKS
+# as well as the number of threads/processes
+# @ environment = OMP_NUM_THREADS=$(nb_threads); NB_TASKS=$(total_tasks)
+# Job time hh:mm:ss (1h30mn here)
+# @ wall_clock_limit = 0:30:00
+# @ queue
+
+# Recommendation : Compile and execute your codes under the same Intel environment.  
+# If necessary, therefore, use the module command to load the appropriate environment.
+# For example, if your code is compiled with Intel/2016.2, uncomment the following line:
+#module load intel/2016.2
+
+# To have the command echoes
+set -x
+
+module load intel/2018.2
+module load gcc/6.4.0
+module load cdo
+module load cmake
+
+# The LOADL_STEP_INITDIR vaiable is automatically set by
+# LoadLeveler at the directory where the llsubmit is typed
+#cp $LOADL_STEP_INITDIR/a.out .
+# The max. STACK memory used (default 4MB) (here 16 MB) per
+# the private variables of each thread.
+export KMP_STACKSIZE=16m
+# It is also possible to use OMP_STACKSIZE
+# export OMP_STACKSIZE=16M
+
+# Execution of a parallel hybrid program (MPI + threads).
+# mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+
+cmake .
+make test
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1716)
@@ -18,5 +18,8 @@
 touch report.txt
 > report.txt
+echo " " >> report.txt
+echo " " >> report.txt
 echo "testing maximum reduce..." >> report.txt 
+echo " " >> report.txt
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/job.sh	(revision 1716)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/job.sh	(revision 1716)
@@ -0,0 +1,48 @@
+# Arbitrary name of the LoadLeveler job
+# @ job_name = Generic_testcase
+# Standard job output file
+# @ output   = $(job_name).out
+# Error job output file
+# @ error    = $(job_name).err
+# Type of job
+# @ job_type = mpich
+# Number of MPI processes requested
+# @ total_tasks = 16
+# Number of OpenMP/pthreads tasks per MPI process
+# @ nb_threads  = 1
+# @ resources = ConsumableCpus($(nb_threads))
+# Permits passing total_tasks to mpirun via NB_TASKS
+# as well as the number of threads/processes
+# @ environment = OMP_NUM_THREADS=$(nb_threads); NB_TASKS=$(total_tasks)
+# Job time hh:mm:ss (1h30mn here)
+# @ wall_clock_limit = 0:30:00
+# @ queue
+
+# Recommendation : Compile and execute your codes under the same Intel environment.  
+# If necessary, therefore, use the module command to load the appropriate environment.
+# For example, if your code is compiled with Intel/2016.2, uncomment the following line:
+#module load intel/2016.2
+
+# To have the command echoes
+set -x
+
+module load intel/2018.2
+module load gcc/6.4.0
+module load cdo
+module load cmake
+
+# The LOADL_STEP_INITDIR vaiable is automatically set by
+# LoadLeveler at the directory where the llsubmit is typed
+#cp $LOADL_STEP_INITDIR/a.out .
+# The max. STACK memory used (default 4MB) (here 16 MB) per
+# the private variables of each thread.
+export KMP_STACKSIZE=16m
+# It is also possible to use OMP_STACKSIZE
+# export OMP_STACKSIZE=16M
+
+# Execution of a parallel hybrid program (MPI + threads).
+# mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+
+cmake .
+make test
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1716)
@@ -18,5 +18,8 @@
 touch report.txt
 > report.txt
+echo " " >> report.txt
+echo " " >> report.txt
 echo "testing minimum reduce..." >> report.txt 
+echo " " >> report.txt
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/job.sh	(revision 1716)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/job.sh	(revision 1716)
@@ -0,0 +1,48 @@
+# Arbitrary name of the LoadLeveler job
+# @ job_name = Generic_testcase
+# Standard job output file
+# @ output   = $(job_name).out
+# Error job output file
+# @ error    = $(job_name).err
+# Type of job
+# @ job_type = mpich
+# Number of MPI processes requested
+# @ total_tasks = 16
+# Number of OpenMP/pthreads tasks per MPI process
+# @ nb_threads  = 1
+# @ resources = ConsumableCpus($(nb_threads))
+# Permits passing total_tasks to mpirun via NB_TASKS
+# as well as the number of threads/processes
+# @ environment = OMP_NUM_THREADS=$(nb_threads); NB_TASKS=$(total_tasks)
+# Job time hh:mm:ss (1h30mn here)
+# @ wall_clock_limit = 0:30:00
+# @ queue
+
+# Recommendation : Compile and execute your codes under the same Intel environment.  
+# If necessary, therefore, use the module command to load the appropriate environment.
+# For example, if your code is compiled with Intel/2016.2, uncomment the following line:
+#module load intel/2016.2
+
+# To have the command echoes
+set -x
+
+module load intel/2018.2
+module load gcc/6.4.0
+module load cdo
+module load cmake
+
+# The LOADL_STEP_INITDIR vaiable is automatically set by
+# LoadLeveler at the directory where the llsubmit is typed
+#cp $LOADL_STEP_INITDIR/a.out .
+# The max. STACK memory used (default 4MB) (here 16 MB) per
+# the private variables of each thread.
+export KMP_STACKSIZE=16m
+# It is also possible to use OMP_STACKSIZE
+# export OMP_STACKSIZE=16M
+
+# Execution of a parallel hybrid program (MPI + threads).
+# mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+
+cmake .
+make test
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1716)
@@ -18,5 +18,8 @@
 touch report.txt
 > report.txt
+echo " " >> report.txt
+echo " " >> report.txt
 echo "testing sum reduce..." >> report.txt 
+echo " " >> report.txt
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/user_params.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/user_params.def	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/user_params.def	(revision 1716)
@@ -11,5 +11,5 @@
 # e.g. NumberServers = 2, 4, 8  
 
-NumberServers = 2
-UsingServer2 = 'false'
+NumberServers = 2, 4
+UsingServer2 = 'false', 'true'
 ATMdomain = 'lmdz'
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job.sh	(revision 1716)
@@ -29,4 +29,6 @@
 module load intel/2018.2
 module load gcc/6.4.0
+module load cdo
+module load cmake
 
 # The LOADL_STEP_INITDIR vaiable is automatically set by
@@ -40,6 +42,7 @@
 
 # Execution of a parallel hybrid program (MPI + threads).
-mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+cmake .
+make test
 
 
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1716)
@@ -14,5 +14,8 @@
 touch report.txt
 > report.txt
+echo " " >> report.txt
+echo " " >> report.txt
 echo "testing grid algorithms..." >> report.txt 
+echo " " >> report.txt
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job.sh	(revision 1716)
@@ -29,4 +29,6 @@
 module load intel/2018.2
 module load gcc/6.4.0
+module load cdo
+module load cmake
 
 # The LOADL_STEP_INITDIR vaiable is automatically set by
@@ -40,6 +42,7 @@
 
 # Execution of a parallel hybrid program (MPI + threads).
-mpirun -np $NB_TASKS ../../build_prod/bin/generic_testcase.exe
+
+cmake .
+make test
 
 
-
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1715)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1716)
@@ -13,5 +13,8 @@
 touch report.txt
 > report.txt
+echo " " >> report.txt
+echo " " >> report.txt
 echo "testing scalar algorithms..." >> report.txt 
+echo " " >> report.txt
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    