Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/Makefile
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/Makefile	(revision 1716)
+++ 	(revision )
@@ -1,136 +1,0 @@
-# CMAKE generated file: DO NOT EDIT!
-# Generated by "Unix Makefiles" Generator, CMake Version 2.8
-
-# Default target executed when no arguments are given to make.
-default_target: all
-.PHONY : default_target
-
-#=============================================================================
-# Special targets provided by cmake.
-
-# Disable implicit rules so canonical targets will work.
-.SUFFIXES:
-
-# Remove some rules from gmake that .SUFFIXES does not remove.
-SUFFIXES =
-
-.SUFFIXES: .hpux_make_needs_suffix_list
-
-# Suppress display of executed commands.
-$(VERBOSE).SILENT:
-
-# A target that is always out of date.
-cmake_force:
-.PHONY : cmake_force
-
-#=============================================================================
-# Set environment variables for the build.
-
-# The shell in which to execute make rules.
-SHELL = /bin/sh
-
-# The CMake executable.
-CMAKE_COMMAND = /usr/bin/cmake
-
-# The command to remove a file.
-RM = /usr/bin/cmake -E remove -f
-
-# Escaping for special characters.
-EQUALS = =
-
-# The program to use to edit the cache.
-CMAKE_EDIT_COMMAND = /usr/bin/ccmake
-
-# The top-level source directory on which CMake was run.
-CMAKE_SOURCE_DIR = /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE
-
-# The top-level build directory on which CMake was run.
-CMAKE_BINARY_DIR = /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE
-
-#=============================================================================
-# Targets provided globally by CMake.
-
-# Special rule for the target edit_cache
-edit_cache:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
-	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
-.PHONY : edit_cache
-
-# Special rule for the target edit_cache
-edit_cache/fast: edit_cache
-.PHONY : edit_cache/fast
-
-# Special rule for the target rebuild_cache
-rebuild_cache:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
-	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
-.PHONY : rebuild_cache
-
-# Special rule for the target rebuild_cache
-rebuild_cache/fast: rebuild_cache
-.PHONY : rebuild_cache/fast
-
-# Special rule for the target test
-test:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
-	/usr/bin/ctest --force-new-ctest-process $(ARGS)
-.PHONY : test
-
-# Special rule for the target test
-test/fast: test
-.PHONY : test/fast
-
-# The main all target
-all: cmake_check_build_system
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(CMAKE_COMMAND) -E cmake_progress_start /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE/CMakeFiles /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE/test_domain_algo/CMakeFiles/progress.marks
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_domain_algo/all
-	$(CMAKE_COMMAND) -E cmake_progress_start /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE/CMakeFiles 0
-.PHONY : all
-
-# The main clean target
-clean:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_domain_algo/clean
-.PHONY : clean
-
-# The main clean target
-clean/fast: clean
-.PHONY : clean/fast
-
-# Prepare targets for installation.
-preinstall: all
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_domain_algo/preinstall
-.PHONY : preinstall
-
-# Prepare targets for installation.
-preinstall/fast:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_domain_algo/preinstall
-.PHONY : preinstall/fast
-
-# clear depends
-depend:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
-.PHONY : depend
-
-# Help Target
-help:
-	@echo "The following are some of the valid targets for this Makefile:"
-	@echo "... all (the default if no target is provided)"
-	@echo "... clean"
-	@echo "... depend"
-	@echo "... edit_cache"
-	@echo "... rebuild_cache"
-	@echo "... test"
-.PHONY : help
-
-
-
-#=============================================================================
-# Special targets to cleanup operation of make.
-
-# Special rule to run CMake to check the build system integrity.
-# No rule that depends on this can have commands that come from listfiles
-# because they might be regenerated.
-cmake_check_build_system:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
-.PHONY : cmake_check_build_system
-
Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/Makefile
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/Makefile	(revision 1716)
+++ 	(revision )
@@ -1,136 +1,0 @@
-# CMAKE generated file: DO NOT EDIT!
-# Generated by "Unix Makefiles" Generator, CMake Version 2.8
-
-# Default target executed when no arguments are given to make.
-default_target: all
-.PHONY : default_target
-
-#=============================================================================
-# Special targets provided by cmake.
-
-# Disable implicit rules so canonical targets will work.
-.SUFFIXES:
-
-# Remove some rules from gmake that .SUFFIXES does not remove.
-SUFFIXES =
-
-.SUFFIXES: .hpux_make_needs_suffix_list
-
-# Suppress display of executed commands.
-$(VERBOSE).SILENT:
-
-# A target that is always out of date.
-cmake_force:
-.PHONY : cmake_force
-
-#=============================================================================
-# Set environment variables for the build.
-
-# The shell in which to execute make rules.
-SHELL = /bin/sh
-
-# The CMake executable.
-CMAKE_COMMAND = /usr/bin/cmake
-
-# The command to remove a file.
-RM = /usr/bin/cmake -E remove -f
-
-# Escaping for special characters.
-EQUALS = =
-
-# The program to use to edit the cache.
-CMAKE_EDIT_COMMAND = /usr/bin/ccmake
-
-# The top-level source directory on which CMake was run.
-CMAKE_SOURCE_DIR = /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE
-
-# The top-level build directory on which CMake was run.
-CMAKE_BINARY_DIR = /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE
-
-#=============================================================================
-# Targets provided globally by CMake.
-
-# Special rule for the target edit_cache
-edit_cache:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
-	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
-.PHONY : edit_cache
-
-# Special rule for the target edit_cache
-edit_cache/fast: edit_cache
-.PHONY : edit_cache/fast
-
-# Special rule for the target rebuild_cache
-rebuild_cache:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
-	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
-.PHONY : rebuild_cache
-
-# Special rule for the target rebuild_cache
-rebuild_cache/fast: rebuild_cache
-.PHONY : rebuild_cache/fast
-
-# Special rule for the target test
-test:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
-	/usr/bin/ctest --force-new-ctest-process $(ARGS)
-.PHONY : test
-
-# Special rule for the target test
-test/fast: test
-.PHONY : test/fast
-
-# The main all target
-all: cmake_check_build_system
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(CMAKE_COMMAND) -E cmake_progress_start /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE/CMakeFiles /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE/test_grid_algo/CMakeFiles/progress.marks
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_grid_algo/all
-	$(CMAKE_COMMAND) -E cmake_progress_start /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE/CMakeFiles 0
-.PHONY : all
-
-# The main clean target
-clean:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_grid_algo/clean
-.PHONY : clean
-
-# The main clean target
-clean/fast: clean
-.PHONY : clean/fast
-
-# Prepare targets for installation.
-preinstall: all
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_grid_algo/preinstall
-.PHONY : preinstall
-
-# Prepare targets for installation.
-preinstall/fast:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_grid_algo/preinstall
-.PHONY : preinstall/fast
-
-# clear depends
-depend:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
-.PHONY : depend
-
-# Help Target
-help:
-	@echo "The following are some of the valid targets for this Makefile:"
-	@echo "... all (the default if no target is provided)"
-	@echo "... clean"
-	@echo "... depend"
-	@echo "... edit_cache"
-	@echo "... rebuild_cache"
-	@echo "... test"
-.PHONY : help
-
-
-
-#=============================================================================
-# Special targets to cleanup operation of make.
-
-# Special rule to run CMake to check the build system integrity.
-# No rule that depends on this can have commands that come from listfiles
-# because they might be regenerated.
-cmake_check_build_system:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
-.PHONY : cmake_check_build_system
-
Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/Makefile
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/Makefile	(revision 1716)
+++ 	(revision )
@@ -1,136 +1,0 @@
-# CMAKE generated file: DO NOT EDIT!
-# Generated by "Unix Makefiles" Generator, CMake Version 2.8
-
-# Default target executed when no arguments are given to make.
-default_target: all
-.PHONY : default_target
-
-#=============================================================================
-# Special targets provided by cmake.
-
-# Disable implicit rules so canonical targets will work.
-.SUFFIXES:
-
-# Remove some rules from gmake that .SUFFIXES does not remove.
-SUFFIXES =
-
-.SUFFIXES: .hpux_make_needs_suffix_list
-
-# Suppress display of executed commands.
-$(VERBOSE).SILENT:
-
-# A target that is always out of date.
-cmake_force:
-.PHONY : cmake_force
-
-#=============================================================================
-# Set environment variables for the build.
-
-# The shell in which to execute make rules.
-SHELL = /bin/sh
-
-# The CMake executable.
-CMAKE_COMMAND = /usr/bin/cmake
-
-# The command to remove a file.
-RM = /usr/bin/cmake -E remove -f
-
-# Escaping for special characters.
-EQUALS = =
-
-# The program to use to edit the cache.
-CMAKE_EDIT_COMMAND = /usr/bin/ccmake
-
-# The top-level source directory on which CMake was run.
-CMAKE_SOURCE_DIR = /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE
-
-# The top-level build directory on which CMake was run.
-CMAKE_BINARY_DIR = /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE
-
-#=============================================================================
-# Targets provided globally by CMake.
-
-# Special rule for the target edit_cache
-edit_cache:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
-	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
-.PHONY : edit_cache
-
-# Special rule for the target edit_cache
-edit_cache/fast: edit_cache
-.PHONY : edit_cache/fast
-
-# Special rule for the target rebuild_cache
-rebuild_cache:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
-	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
-.PHONY : rebuild_cache
-
-# Special rule for the target rebuild_cache
-rebuild_cache/fast: rebuild_cache
-.PHONY : rebuild_cache/fast
-
-# Special rule for the target test
-test:
-	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
-	/usr/bin/ctest --force-new-ctest-process $(ARGS)
-.PHONY : test
-
-# Special rule for the target test
-test/fast: test
-.PHONY : test/fast
-
-# The main all target
-all: cmake_check_build_system
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(CMAKE_COMMAND) -E cmake_progress_start /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE/CMakeFiles /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE/test_scalar_algo/CMakeFiles/progress.marks
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_scalar_algo/all
-	$(CMAKE_COMMAND) -E cmake_progress_start /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE/CMakeFiles 0
-.PHONY : all
-
-# The main clean target
-clean:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_scalar_algo/clean
-.PHONY : clean
-
-# The main clean target
-clean/fast: clean
-.PHONY : clean/fast
-
-# Prepare targets for installation.
-preinstall: all
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_scalar_algo/preinstall
-.PHONY : preinstall
-
-# Prepare targets for installation.
-preinstall/fast:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(MAKE) -f CMakeFiles/Makefile2 test_scalar_algo/preinstall
-.PHONY : preinstall/fast
-
-# clear depends
-depend:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
-.PHONY : depend
-
-# Help Target
-help:
-	@echo "The following are some of the valid targets for this Makefile:"
-	@echo "... all (the default if no target is provided)"
-	@echo "... clean"
-	@echo "... depend"
-	@echo "... edit_cache"
-	@echo "... rebuild_cache"
-	@echo "... test"
-.PHONY : help
-
-
-
-#=============================================================================
-# Special targets to cleanup operation of make.
-
-# Special rule to run CMake to check the build system integrity.
-# No rule that depends on this can have commands that come from listfiles
-# because they might be regenerated.
-cmake_check_build_system:
-	cd /workgpfs/rech/psl/rpsl954/xios/dev_trunk_omp2/GENERIC_TESTCASE && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
-.PHONY : cmake_check_build_system
-