Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1718)
@@ -114,7 +114,13 @@
 				os.system(cmd)
 
+                if os.stat("diff.txt").st_size==0:
+					h.write("test for "+configName+" for file "+line+"     \tPASSED\n")		
+					print "\n        ****************************************"
+					print "        ** "+line+" is valid !!! **"
+					print "\n        ****************************************"
+                else:	
 				g=open("diff.txt", "r")
 				for gline in g:
-					if gline.strip().startswith("0"):
+					if gline.strip().startswith("0") or ":" in gline :
 						h.write("test for "+configName+" for file "+line+"     \tPASSED\n")		
 						print "\n        ****************************************"
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_irene.sh	(revision 1718)
@@ -0,0 +1,55 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+export machine_name=irene
+
+cmake .
+make test
+make report
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml	(revision 1718)
@@ -388,5 +388,5 @@
 
      <file id="atm_output" output_freq="1ts" enabled="true">
-       <field id="fieldXY_zoomY" field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="once" enabled="true"/>
+       <field id="fieldXY_zoomY" field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="instant" enabled="true"/>
     </file>
   
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/job_irene.sh	(revision 1718)
@@ -0,0 +1,53 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+export machine_name=irene
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+cmake .
+make test
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1718)
@@ -34,5 +34,10 @@
 nb_proc=$(python sub_config2.py 2>&1) 
 
-mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+if [$machine_name == irene]
+then
+    ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
+else
+    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+fi
 
 python sub_check.py
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/job_irene.sh	(revision 1718)
@@ -0,0 +1,53 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+export machine_name=irene
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+cmake .
+make test
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1718)
@@ -34,5 +34,12 @@
 nb_proc=$(python sub_config2.py 2>&1) 
 
-mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+if [$machine_name == irene]
+then
+    ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
+else
+    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+fi
+
+
 
 python sub_check.py
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/job_irene.sh	(revision 1718)
@@ -0,0 +1,53 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+cmake .
+make test
+make subreport
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/job_irene.sh	(revision 1718)
@@ -0,0 +1,54 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+export machine_name=irene
+
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+cmake .
+make test
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1718)
@@ -38,5 +38,10 @@
 nb_proc=$(python sub_config2.py 2>&1) 
 
-mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+if [$machine_name == irene]
+then
+    ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
+else
+    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+fi
 
 python sub_check.py
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/job_irene.sh	(revision 1718)
@@ -0,0 +1,52 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+export machine_name=irene
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+cmake .
+make test
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1718)
@@ -38,5 +38,10 @@
 nb_proc=$(python sub_config2.py 2>&1) 
 
-mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+if [$machine_name == irene]
+then
+    ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
+else
+    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+fi
 
 python sub_check.py
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/job_irene.sh	(revision 1718)
@@ -0,0 +1,53 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+#export GMON_OUT_PREFIX='gmon.out'
+export machine_name=irene
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+cmake .
+make test
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1718)
@@ -38,5 +38,10 @@
 nb_proc=$(python sub_config2.py 2>&1) 
 
-mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+if [$machine_name == irene]
+then
+    ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
+else
+    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+fi
 
 python sub_check.py
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/job_irene.sh	(revision 1718)
@@ -0,0 +1,53 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+export machine_name=irene
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+cmake .
+make test
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1718)
@@ -38,5 +38,10 @@
 nb_proc=$(python sub_config2.py 2>&1) 
 
-mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+if [$machine_name == irene]
+then
+    ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
+else
+    mpirun -np $nb_proc ../../../build_prod/bin/generic_testcase.exe
+fi
 
 python sub_check.py
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/job_irene.sh	(revision 1718)
@@ -0,0 +1,53 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+export machine_name=irene
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+cmake .
+make test
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1718)
@@ -34,5 +34,10 @@
 nb_proc=$(python sub_config2.py 2>&1) 
 
+if [$machine_name == irene]
+then
+    ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
+else
 mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+fi
 
 python sub_check.py
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job_irene.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job_irene.sh	(revision 1718)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/job_irene.sh	(revision 1718)
@@ -0,0 +1,53 @@
+#!/bin/bash
+######################
+## CURIE   TGCC/CEA ##
+######################
+#MSUB -r XIOS
+#MSUB -o client_output.out    # standard output
+#MSUB -e client_error.err    #error output
+#MSUB -eo
+#MSUB -c 1
+#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#MSUB -X 
+#MSUB -x 
+#MSUB -T 1800      # Wall clock limit (seconds)
+#MSUB -q skylake           # thin nodes
+#MSUB -A devcmip6
+#MSUB -Q test
+#MSUB -m work
+
+cd $BRIDGE_MSUB_PWD
+module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+module load gnu
+module load mpi/intelmpi/2017.0.6.256
+module load flavor/buildcompiler/intel/17
+#module load flavor/buildmpi/intelmpi/2017
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load hdf5/1.8.20
+module load boost
+module load blitz
+module load feature/bridge/heterogenous_mpmd
+module load arm-forge
+module load nco
+module load cdo
+
+export KMP_STACKSIZE=3g
+export KMP_LIBRARY=turnaround
+export MKL_SERIAL=YES
+export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}
+
+set -x 
+
+export machine_name=irene
+#export GMON_OUT_PREFIX='gmon.out'
+
+#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
+#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
+
+#ccc_mprun ../build_prod/bin/test_omp.exe 4
+#ccc_mprun tau_exec -io ../../bin/test_send.exe
+#ddt -start -n 8 ../buile_intelmpi/bin/test_omp.exe
+
+cmake .
+make test
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1717)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1718)
@@ -33,6 +33,10 @@
 nb_proc=$(python sub_config2.py 2>&1) 
 
-mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
-
+if [$machine_name == irene]
+then
+    ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
+else  #machine_name=ada
+    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+fi
 python sub_check.py
 