Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1718)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1719)
@@ -100,5 +100,4 @@
 		
 		f=open("checkfile.def", "r")
-		# g=open("diff.txt", "w+r")
 		h=open("report.txt", "a+")
 
@@ -110,29 +109,28 @@
 			
 			if not line.startswith("#") and len(line) != 0:
-				# os.system('cat diff.txt')
 				cmd = 'cdo diffn '+ line + path + line + ' | tail -1 > diff.txt'
 				os.system(cmd)
 
-                if os.stat("diff.txt").st_size==0:
+				if os.stat("diff.txt").st_size==0:
 					h.write("test for "+configName+" for file "+line+"     \tPASSED\n")		
 					print "\n        ****************************************"
 					print "        ** "+line+" is valid !!! **"
 					print "\n        ****************************************"
-                else:	
-				g=open("diff.txt", "r")
-				for gline in g:
-					if gline.strip().startswith("0") or ":" in gline :
-						h.write("test for "+configName+" for file "+line+"     \tPASSED\n")		
-						print "\n        ****************************************"
-						print "        ** "+line+" is valid !!! **"
-						print "\n        ****************************************"
-					else:
-						h.write("test for "+configName+" for file "+line+"     \tFAILED\n")		
-						print "\n        **************************************************"
-						print "        ** "+line+" is NOT valid. Please debugging.. **"
-						print "\n        **************************************************"
-				g.close()
+
+				else:	
+					g=open("diff.txt", "r")
+					for gline in g:
+						if gline.strip().startswith("0") or ":" in gline :
+							h.write("test for "+configName+" for file "+line+"     \tPASSED\n")		
+							print "\n        ****************************************"
+							print "        ** "+line+" is valid !!! **"
+							print "\n        ****************************************"
+						else:
+							h.write("test for "+configName+" for file "+line+"     \tFAILED\n")		
+							print "\n        **************************************************"
+							print "        ** "+line+" is NOT valid. Please debugging.. **"
+							print "\n        **************************************************"
+					g.close()
 		f.close()
-		# g.close()
 		h.close()
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/checkfile.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/checkfile.def	(revision 1718)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/checkfile.def	(revision 1719)
@@ -1,2 +1,3 @@
 
-atm_output_ave.nc
+atm_output.nc
+atm_output_ensemble.nc
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/context_atm.xml
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/context_atm.xml	(revision 1718)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/context_atm.xml	(revision 1719)
@@ -365,8 +365,40 @@
     
 
-     <file id="atm_output_ave" output_freq="4ts" enabled="true">
-       <field id="field2D_ave" field_ref="field2D" operation="average" enabled="true"/>
-
-       <field id="field3D_ave" field_ref="field3D" operation="average" enabled="true"/>
+     <file id="atm_output" output_freq="4ts" enabled="true" >
+       
+       <field field_ref="field2D" operation="average"/>
+       <field field_ref="field3D" operation="average"/>
+       <field field_ref="pressure" operation="average" />
+       <field field_ref="field3D_recv" operation="average" />
+       <field field_ref="field3D_resend" operation="average" />
+       
+       <field field_ref="field_X" operation="average" />
+       <field field_ref="field_Y" operation="average" />
+       <field field_ref="field_Z" operation="average" />
+       <field field_ref="field_XY" operation="average" />
+       <field field_ref="field_XYZ" operation="average" />
+       <field field_ref="field_XZ" operation="average" />
+       <field field_ref="field_YZ" operation="average" />
+       
+       <field field_ref="field_zoom_vert" operation="average" />
+       <field field_ref="field_zoom_vert_sum" operation="average" />
+       
+    </file>
+
+
+    <file id="atm_output_ensemble" output_freq="4ts" enabled="true">
+       <field field_ref="field2D_W" operation="average" />
+       <field field_ref="field3D_W" operation="average" />
+       <field field_ref="pressure_W" operation="average" />
+       <field field_ref="field3D_recv_W" operation="average" />
+       <field field_ref="field3D_resend_W" operation="average" />
+
+       <field field_ref="field_XW" enabled="false" />
+       <field field_ref="field_YW" enabled="false" />
+       <field field_ref="field_XYW" enabled="false" />
+       <field field_ref="field_ZW" enabled="false" />
+       <field field_ref="field_XYZW" enabled="false" />
+       <field field_ref="field_XZW" enabled="false" />
+       <field field_ref="field_YZW" enabled="false" />
     </file>
 
@@ -383,16 +415,4 @@
        <field field_ref="other_field_YZ" enabled="false"/>
     </file>
-
-    <file id="atm_output_W" output_freq="1ts" enabled="false">
-       <field field_ref="field3D_W" enabled="true"/>
-       <field field_ref="field2D_W" enabled="true"/> 
-       <field field_ref="field_XW" enabled="true"/>
-       <field field_ref="field_YW" enabled="true"/>
-       <field field_ref="field_XYW" enabled="true"/>
-       <field field_ref="field_ZW" enabled="true"/>
-       <field field_ref="field_XYZW" enabled="true"/>
-       <field field_ref="field_XZW" enabled="true"/>
-       <field field_ref="field_YZW" enabled="true"/>
-    </file>
     
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/iodef.xml
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/iodef.xml	(revision 1718)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/iodef.xml	(revision 1719)
@@ -7,5 +7,5 @@
 
       <variable id="timestep"> 1h </variable>
-      <variable id="domain"> atm::domain </variable>
+      <variable id="domain"> lmdz </variable>
       <variable id="domain_mask"> true </variable>
       <variable id="axis_mask"> true </variable>
@@ -52,10 +52,10 @@
 
       <variable_group id="parameters" >
-        <variable id="using_server" type="bool">xios::usingSrv2</variable>
+        <variable id="using_server" type="bool">false</variable>
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
         <variable id="using_server2" type="bool">false</variable>
-        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
-        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
+        <variable id="ratio_server2" type="int">50</variable>
+        <variable id="number_pools_server2" type="int">1</variable>
         <variable id="pure_one_sided" type="bool">false</variable>
         <variable id="check_event_sync" type="bool">true</variable>