Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1721)
@@ -14,5 +14,13 @@
 	magenta = lambda text: '\033[0;35m' + text + '\033[0m'
 	cyan = lambda text: '\033[0;36m' + text + '\033[0m'
-	white = lambda text: '\033[0;37m' + text + '\033[0m'
+	lgray = lambda text: '\033[0;37m' + text + '\033[0m'
+	dgray = lambda text: '\033[1;30m' + text + '\033[0m'
+	lred = lambda text: '\033[1;32m' + text + '\033[0m'
+	lgreen = lambda text: '\033[1;32m' + text + '\033[0m'
+	lyellow = lambda text: '\033[1;33m' + text + '\033[0m'
+	lblue = lambda text: '\033[1;34m' + text + '\033[0m'
+	lpurple = lambda text: '\033[1;35m' + text + '\033[0m'
+	lcyan = lambda text: '\033[1;36m' + text + '\033[0m'
+	white = lambda text: '\033[1;37m' + text + '\033[0m'
 	
 	configNamePattern=[0]*7
@@ -59,4 +67,5 @@
 		os.mkdir(configName+'/setup')
 		os.mkdir(configName+'/tmp_reference')
+		os.mkdir(configName+'/xios_output')
 		
 		os.system('cp param.def '+configName+'/setup/')
@@ -66,4 +75,6 @@
 		os.system('cp context_grid_dynamico.xml '+configName+'/setup/')
 		os.system('cp dynamico_grid.nc '+configName+'/setup/')
+		os.system('mv xios_*.out '+configName+'/xios_output/')
+		os.system('mv xios_*.err '+configName+'/xios_output/')
 		
 
@@ -77,5 +88,5 @@
 				os.system(cmd)
 
-				h.write("test for "+configName+" for file "+line+"     \t"+yellow('INITIALIZED')+"\n")		
+				h.write("test for "+configName+" for file "+lpurple(line)+"     \t"+yellow('INITIALIZED')+"\n")		
 				print yellow("\n        ****************************************")
 				print yellow("        ** "+line+" is stored as temporal reference !!! **")
@@ -122,5 +133,5 @@
 
 				if os.stat("diff.txt").st_size==0:
-					h.write("test for "+configName+" for file "+line+"     \t"+green('PASSED')+"\n")		
+					h.write("test for "+configName+" for file "+lpurple(line)+"     \t"+green('PASSED')+"\n")		
 					print green("\n        ****************************************")
 					print green("        ** "+line+" is valid !!! **")
@@ -131,10 +142,10 @@
 					for gline in g:
 						if gline.strip().startswith("0") or ":" in gline :
-							h.write("test for "+configName+" for file "+line+"      \t"+green('PASSED')+"\n")		
+							h.write("test for "+configName+" for file "+lpurple(line)+"      \t"+green('PASSED')+"\n")		
 							print green("\n        ****************************************")
 							print green("        ** "+line+" is valid !!! **")
 							print green("\n        ****************************************")
 						else:
-							h.write("test for "+configName+" for file "+line+"     \t"+red('FAILED')+"\n")		
+							h.write("test for "+configName+" for file "+lpurple(line)+"     \t"+red('FAILED')+"\n")		
 							print red("\n        **************************************************")
 							print red("        ** "+line+" is NOT valid. Please debugging.. **")
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/default_param.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/default_param.py	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/default_param.py	(revision 1721)
@@ -2,5 +2,5 @@
 RatioServer2 = 50
 NumberPoolsServer2 = 1
-NumberClients = 8
+NumberClients = 4
 NumberServers = 4
 Duration = '1d'
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def	(revision 1721)
@@ -1,4 +1,4 @@
 &params_run
-nb_proc_atm = 8
+nb_proc_atm = 4
 duration = '1d'
 /
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1721)
@@ -12,9 +12,23 @@
 
 
+# Black        0;30     Dark Gray     1;30
+# Red          0;31     Light Red     1;31
+# Green        0;32     Light Green   1;32
+# Brown/Orange 0;33     Yellow        1;33
+# Blue         0;34     Light Blue    1;34
+# Purple       0;35     Light Purple  1;35
+# Cyan         0;36     Light Cyan    1;36
+# Light Gray   0;37     White         1;37
+
+
+
+Color='\033[0;36m'
+NC='\033[0m' # No Color
+
 touch report.txt
 > report.txt
 echo " " >> report.txt
 echo " " >> report.txt
-echo "testing axis algorithms..." >> report.txt
+echo -e "testing ${Color}axis${NC} algorithms..." >> report.txt
 echo " " >> report.txt
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/CMakeLists.txt	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/CMakeLists.txt	(revision 1721)
@@ -7,3 +7,3 @@
 
 
-add_test( domain ./run_sub_test.sh)
+add_test( domain_algo ./run_sub_test.sh)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/param.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/param.def	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/param.def	(revision 1721)
@@ -1,4 +1,4 @@
 &params_run
-nb_proc_atm = 8
+nb_proc_atm = 4
 duration = '1d'
 /
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1721)
@@ -11,4 +11,17 @@
 cp -n ../default_param.py default_param.py
 
+# Black        0;30     Dark Gray     1;30
+# Red          0;31     Light Red     1;31
+# Green        0;32     Light Green   1;32
+# Brown/Orange 0;33     Yellow        1;33
+# Blue         0;34     Light Blue    1;34
+# Purple       0;35     Light Purple  1;35
+# Cyan         0;36     Light Cyan    1;36
+# Light Gray   0;37     White         1;37
+
+
+
+Color='\033[0;36m'
+NC='\033[0m' # No Color
 
 touch report.txt
@@ -16,5 +29,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo "testing domain algorithms..." >> report.txt 
+echo -e "testing ${Color}domain${NC} algorithms..." >> report.txt 
 echo " " >> report.txt
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/CMakeLists.txt	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/CMakeLists.txt	(revision 1721)
@@ -7,3 +7,3 @@
 
 
-add_test( average ./run_sub_test.sh)
+add_test( average_reduce ./run_sub_test.sh)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1721)
@@ -15,4 +15,16 @@
 cp -n ../../default_param.py default_param.py
 
+# Black        0;30     Dark Gray     1;30
+# Red          0;31     Light Red     1;31
+# Green        0;32     Light Green   1;32
+# Brown/Orange 0;33     Yellow        1;33
+# Blue         0;34     Light Blue    1;34
+# Purple       0;35     Light Purple  1;35
+# Cyan         0;36     Light Cyan    1;36
+# Light Gray   0;37     White         1;37
+
+
+Color='\033[0;36m'
+NC='\033[0m' # No Color
 
 touch report.txt
@@ -20,5 +32,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo "testing average reduce..." >> report.txt 
+echo -e "testing ${Color}average${NC} reduce..." >> report.txt
 echo " " >> report.txt
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/CMakeLists.txt	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/CMakeLists.txt	(revision 1721)
@@ -7,3 +7,3 @@
 
 
-add_test( maximum ./run_sub_test.sh)
+add_test( maximum_reduce ./run_sub_test.sh)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1721)
@@ -15,4 +15,17 @@
 cp -n ../../default_param.py default_param.py
 
+# Black        0;30     Dark Gray     1;30
+# Red          0;31     Light Red     1;31
+# Green        0;32     Light Green   1;32
+# Brown/Orange 0;33     Yellow        1;33
+# Blue         0;34     Light Blue    1;34
+# Purple       0;35     Light Purple  1;35
+# Cyan         0;36     Light Cyan    1;36
+# Light Gray   0;37     White         1;37
+
+
+Color='\033[0;36m'
+NC='\033[0m' # No Color
+
 
 touch report.txt
@@ -20,5 +33,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo "testing maximum reduce..." >> report.txt 
+echo -e "testing ${Color}maximum${NC} reduce..." >> report.txt 
 echo " " >> report.txt
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/CMakeLists.txt	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/CMakeLists.txt	(revision 1721)
@@ -7,3 +7,3 @@
 
 
-add_test( minimum ./run_sub_test.sh)
+add_test( minimum_reduce ./run_sub_test.sh)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1721)
@@ -15,4 +15,16 @@
 cp -n ../../default_param.py default_param.py
 
+# Black        0;30     Dark Gray     1;30
+# Red          0;31     Light Red     1;31
+# Green        0;32     Light Green   1;32
+# Brown/Orange 0;33     Yellow        1;33
+# Blue         0;34     Light Blue    1;34
+# Purple       0;35     Light Purple  1;35
+# Cyan         0;36     Light Cyan    1;36
+# Light Gray   0;37     White         1;37
+
+
+Color='\033[0;36m'
+NC='\033[0m' # No Color
 
 touch report.txt
@@ -20,5 +32,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo "testing minimum reduce..." >> report.txt 
+echo -e "testing ${Color}minimum${NC} reduce..." >> report.txt 
 echo " " >> report.txt
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/CMakeLists.txt	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/CMakeLists.txt	(revision 1721)
@@ -7,3 +7,3 @@
 
 
-add_test( sum ./run_sub_test.sh)
+add_test( accumulate_reduce ./run_sub_test.sh)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1721)
@@ -15,4 +15,16 @@
 cp -n ../../default_param.py default_param.py
 
+# Black        0;30     Dark Gray     1;30
+# Red          0;31     Light Red     1;31
+# Green        0;32     Light Green   1;32
+# Brown/Orange 0;33     Yellow        1;33
+# Blue         0;34     Light Blue    1;34
+# Purple       0;35     Light Purple  1;35
+# Cyan         0;36     Light Cyan    1;36
+# Light Gray   0;37     White         1;37
+
+
+Color='\033[0;36m'
+NC='\033[0m' # No Color
 
 touch report.txt
@@ -20,5 +32,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo "testing sum reduce..." >> report.txt 
+echo -e "testing ${Color}accumulate${NC} reduce..." >> report.txt 
 echo " " >> report.txt
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/CMakeLists.txt	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/CMakeLists.txt	(revision 1721)
@@ -7,3 +7,3 @@
 
 
-add_test( grid ./run_sub_test.sh)
+add_test( grid_algo ./run_sub_test.sh)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/param.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/param.def	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/param.def	(revision 1721)
@@ -1,4 +1,4 @@
 &params_run
-nb_proc_atm = 8
+nb_proc_atm = 4
 duration = '1d'
 /
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1721)
@@ -11,4 +11,16 @@
 cp -n ../default_param.py default_param.py
 
+# Black        0;30     Dark Gray     1;30
+# Red          0;31     Light Red     1;31
+# Green        0;32     Light Green   1;32
+# Brown/Orange 0;33     Yellow        1;33
+# Blue         0;34     Light Blue    1;34
+# Purple       0;35     Light Purple  1;35
+# Cyan         0;36     Light Cyan    1;36
+# Light Gray   0;37     White         1;37
+
+
+Color='\033[0;36m'
+NC='\033[0m' # No Color
 
 touch report.txt
@@ -16,5 +28,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo "testing grid algorithms..." >> report.txt 
+echo -e "testing ${Color}grid${NC} algorithms..." >> report.txt 
 echo " " >> report.txt
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/CMakeLists.txt	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/CMakeLists.txt	(revision 1721)
@@ -7,3 +7,3 @@
 
 
-add_test( scalar ./run_sub_test.sh)
+add_test( scalar_algo ./run_sub_test.sh)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/param.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/param.def	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/param.def	(revision 1721)
@@ -1,4 +1,4 @@
 &params_run
-nb_proc_atm = 8
+nb_proc_atm = 4
 duration = '1d'
 /
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1720)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1721)
@@ -10,4 +10,16 @@
 cp -n ../default_param.py default_param.py
 
+# Black        0;30     Dark Gray     1;30
+# Red          0;31     Light Red     1;31
+# Green        0;32     Light Green   1;32
+# Brown/Orange 0;33     Yellow        1;33
+# Blue         0;34     Light Blue    1;34
+# Purple       0;35     Light Purple  1;35
+# Cyan         0;36     Light Cyan    1;36
+# Light Gray   0;37     White         1;37
+
+
+Color='\033[0;36m'
+NC='\033[0m' # No Color
 
 touch report.txt
@@ -15,5 +27,5 @@
 echo " " >> report.txt
 echo " " >> report.txt
-echo "testing scalar algorithms..." >> report.txt 
+echo -e "testing ${Color}scalar${NC} algorithms..." >> report.txt 
 echo " " >> report.txt
 