Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/CMakeLists.txt	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/CMakeLists.txt	(revision 1723)
@@ -18,3 +18,6 @@
 	COMMAND rm -f report.txt
 	COMMAND cat */*/report.txt > report.txt
-	COMMAND cat */report.txt >> report.txt)
+	COMMAND cat */report.txt >> report.txt
+	COMMAND rm -f report.html
+	COMMAND cat */*/report.html > report.html
+	COMMAND cat */report.html >> report.html)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1723)
@@ -121,4 +121,6 @@
 		f=open("checkfile.def", "r")
 		h=open("report.txt", "a+")
+		l=open("report.html", "a+")
+
 
 
@@ -134,4 +136,5 @@
 				if os.stat("diff.txt").st_size==0:
 					h.write("test for "+configName+" for file "+lpurple(line)+"     \t"+green('PASSED')+"\n")		
+					l.write("<p>test for "+configName+" for file <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"green\">PASSED</font></p>")		
 					print green("\n        ****************************************")
 					print green("        ** "+line+" is valid !!! **")
@@ -143,4 +146,5 @@
 						if gline.strip().startswith("0") or ":" in gline :
 							h.write("test for "+configName+" for file "+lpurple(line)+"      \t"+green('PASSED')+"\n")		
+							l.write("<p>test for "+configName+" for file <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"green\">PASSED</font></p>")		
 							print green("\n        ****************************************")
 							print green("        ** "+line+" is valid !!! **")
@@ -148,4 +152,5 @@
 						else:
 							h.write("test for "+configName+" for file "+lpurple(line)+"     \t"+red('FAILED')+"\n")		
+							l.write("<p>test for "+configName+" for file <font color=\"purple\">"+line+"</font> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font color=\"red\">FAILED</font></p>")		
 							print red("\n        **************************************************")
 							print red("        ** "+line+" is NOT valid. Please debugging.. **")
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1723)
@@ -33,4 +33,11 @@
 echo " " >> report.txt
 
+touch report.html
+> report.html
+echo "<p> </p> " >> report.html
+echo "<p> </p> " >> report.html
+echo "<p>testing  <font color="blue">axis</font> algorithms...</p>" >> report.html 
+echo "<p> </p> " >> report.html
+
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1723)
@@ -32,4 +32,12 @@
 echo " " >> report.txt
 
+
+touch report.html
+> report.html
+echo "<p> </p> " >> report.html
+echo "<p> </p> " >> report.html
+echo "<p>testing  <font color="blue">domain</font> algorithms...</p>" >> report.html 
+echo "<p> </p> " >> report.html
+
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/CMakeLists.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/CMakeLists.txt	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/CMakeLists.txt	(revision 1723)
@@ -15,3 +15,5 @@
 	POST_BUILD 
 	COMMAND rm -f subreport.txt
-	COMMAND cat */report.txt > subreport.txt)
+	COMMAND rm -f subreport.html
+	COMMAND cat */report.txt > subreport.txt
+	COMMAND cat */report.html > subreport.html)
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1723)
@@ -35,4 +35,13 @@
 echo " " >> report.txt
 
+
+touch report.html
+> report.html
+echo "<p> </p> " >> report.html
+echo "<p> </p> " >> report.html
+echo "<p>testing  <font color="blue">average</font> reduce...</p>" >> report.html 
+echo "<p> </p> " >> report.html
+
+
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1723)
@@ -36,4 +36,12 @@
 echo " " >> report.txt
 
+
+touch report.html
+> report.html
+echo "<p> </p> " >> report.html
+echo "<p> </p> " >> report.html
+echo "<p>testing  <font color="blue">maximum</font> reduce...</p>" >> report.html 
+echo "<p> </p> " >> report.html
+
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1723)
@@ -35,4 +35,12 @@
 echo " " >> report.txt
 
+
+touch report.html
+> report.html
+echo "<p> </p> " >> report.html
+echo "<p> </p> " >> report.html
+echo "<p>testing  <font color="blue">minimum</font> reduce...</p>" >> report.html 
+echo "<p> </p> " >> report.html
+
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1723)
@@ -35,4 +35,12 @@
 echo " " >> report.txt
 
+
+touch report.html
+> report.html
+echo "<p> </p> " >> report.html
+echo "<p> </p> " >> report.html
+echo "<p>testing  <font color="blue">accumulate</font> reduce...</p>" >> report.html 
+echo "<p> </p> " >> report.html
+
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1723)
@@ -31,4 +31,13 @@
 echo " " >> report.txt
 
+
+
+touch report.html
+> report.html
+echo "<p> </p> " >> report.html
+echo "<p> </p> " >> report.html
+echo "<p>testing  <font color="blue">grid</font> algorithms...</p>" >> report.html 
+echo "<p> </p> " >> report.html
+
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1723)
@@ -30,4 +30,11 @@
 echo " " >> report.txt
 
+touch report.html
+> report.html
+echo "<p> </p> " >> report.html
+echo "<p> </p> " >> report.html
+echo "<p>testing  <font color="blue">scalar</font> algorithms...</p>" >> report.html 
+echo "<p> </p> " >> report.html
+
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/update_root.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/update_root.sh	(revision 1722)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/update_root.sh	(revision 1723)
@@ -1,4 +1,1 @@
-svn add --force --no-ignore root_reference/*
-svn add --force --no-ignore root_reference/*/*
-svn add --force --no-ignore root_reference/*/*/*
-svn commit -m "Generic_testcase : update root_reference"
+echo "update root reference"