Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/local2root.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/local2root.sh	(revision 1723)
+++ 	(revision )
@@ -1,11 +1,0 @@
-yes | cp -rf test_function/test_average/config_* root_reference/test_function/test_average/
-yes | cp -rf test_function/test_maximum/config_* root_reference/test_function/test_maximum/
-yes | cp -rf test_function/test_minimum/config_* root_reference/test_function/test_minimum/
-yes | cp -rf test_function/test_sum/config_* root_reference/test_function/test_sum/
-yes | cp -rf test_scalar_algo/config_* root_reference/test_scalar_algo/
-yes | cp -rf test_axis_algo/config_* root_reference/test_axis_algo/
-yes | cp -rf test_domain_algo/config_* root_reference/test_domain_algo/
-yes | cp -rf test_grid_algo/config_* root_reference/test_grid_algo/
-
-
-
Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/root2local.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/root2local.sh	(revision 1723)
+++ 	(revision )
@@ -1,13 +1,0 @@
-bash ./clean_config.sh
-
-yes | cp -rf root_reference/test_function/test_average/config_*   test_function/test_average/
-yes | cp -rf root_reference/test_function/test_maximum/config_*   test_function/test_maximum/
-yes | cp -rf root_reference/test_function/test_minimum/config_*   test_function/test_minimum/
-yes | cp -rf root_reference/test_function/test_sum/config_*       test_function/test_sum/
-yes | cp -rf root_reference/test_scalar_algo/config_*             test_scalar_algo/
-yes | cp -rf root_reference/test_axis_algo/config_*               test_axis_algo/
-yes | cp -rf root_reference/test_domain_algo/config_*             test_domain_algo/
-yes | cp -rf root_reference/test_grid_algo/config_*               test_grid_algo/
-
-
-
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh	(revision 1723)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh	(revision 1724)
@@ -1,35 +1,1 @@
 #!/bin/bash
-
-
-cp ../user_config.py sub_config1.py
-cp ../config.py sub_config2.py
-cp ../check.py sub_check.py
-cp ../default_param.py default_param.py
-
-
-touch report.txt
-> report.txt
-
-nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
-
-
-counter=0
-while [ $counter -lt $nb_config ]
-do
-
-rm -f user_param.py
-
-cp user_param.py.$counter user_param.py
-
-((counter++))
-
-nb_proc=$(python sub_config2.py 2>&1) 
-
-mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
-
-python sub_check.py
-
-rm -f iodef.xml
-mv iodef.xml.bkp iodef.xml
-
-done
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_test.sh	(revision 1723)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_test.sh	(revision 1724)
@@ -1,34 +1,5 @@
 #!/bin/bash
-
-fname=test_report.txt
-touch $fname
-
-> $fname
-
-gname=report.txt
-
-
-cd test_function
-
-echo "" >> ../$fname
-echo "testing reduce functions..." >> ../$fname
-echo "" >> ../$fname
-
-../run_sub_test.sh
-cat $gname >> ../$fname 
 
 
 
 
-cd ../test_axis_algo
-
-echo "" >> ../$fname
-echo "testing axis transformations..." >> ../$fname
-echo "" >> ../$fname
-
-../run_sub_test.sh
-cat $gname >> ../$fname 
-
-
-
-
Index: OS/dev/dev_trunk_omp/GENERIC_TESTCASE/update_root.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/update_root.sh	(revision 1723)
+++ 	(revision )
@@ -1,1 +1,0 @@
-echo "update root reference"
Index: /XIOS/dev/dev_trunk_omp/src/transformation/Functions/sum_reduction.cpp
===================================================================
--- /XIOS/dev/dev_trunk_omp/src/transformation/Functions/sum_reduction.cpp	(revision 1723)
+++ /XIOS/dev/dev_trunk_omp/src/transformation/Functions/sum_reduction.cpp	(revision 1724)
@@ -33,5 +33,4 @@
                                    bool ignoreMissingValue, bool firstPass)
 {
-  std::cout<<"================================ CSumReductionAlgorithm::apply"<<std::endl;
   if (ignoreMissingValue)
   {
Index: /XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_domain.cpp
===================================================================
--- /XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_domain.cpp	(revision 1723)
+++ /XIOS/dev/dev_trunk_omp/src/transformation/scalar_algorithm_reduce_domain.cpp	(revision 1724)
@@ -97,5 +97,4 @@
 TRY
 {
-  std::cout<<"================================ CScalarAlgorithmReduceDomain::apply"<<std::endl;
   reduction_->apply(localIndex, dataInput, dataOut, flagInitial, ignoreMissingValue, firstPass);
 }